Summary:     A traceroute implementation using TCP packets
Name:        dns-analyzer
Version:     0.2.0
Release:     2.pp
License:     GPL
Group:       Console/Utilities
Source0:     http://www.nlnetlabs.nl/%{name}/%{name}-%{version}.tar.gz
Patch0:      %{name}-%{version}-STLport.patch
URL:         http://www.nlnetlabs.nl/%{name}/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Erik Rozendaal <erik@nlnetlabs.nl>
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    libstdc++ STLport libpcap
Provides:    %{name}.pp
Prereq:      /bin/bash
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel libstdc++-devel STLport-devel libpcap
ExclusiveOS: linux


%description
The DNS Analyzer is a tool to gather statistics on DNS traffic from
tcpdump(8) files.  See dns-analyzer(1) for usage information.


%prep
%setup -q
%patch0 -p1 -b .STLport


%build
export CPPFLAGS="-I/usr/include/stlport -I/usr/include $RPM_OPT_FLAGS"
export LDFLAGS="-lstlport_gcc"
./configure \
        --prefix=/usr           \
        --sysconfdir=/etc       \
        --localstatedir=/var    \
        --mandir=/usr/share/man
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make \
	bindir=$RPM_BUILD_ROOT/usr/bin       \
	mandir=$RPM_BUILD_ROOT/usr/share/man \
	install


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog CODING COPYRIGHT GPL README
/usr/bin/*
/usr/share/man/man1/*


%changelog
* Tue Apr 13 2004 peter.pramberger@1012surf.net
- created

